Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(60)

Issue 54623005: net: allow invalid TransportSecurityState to process invalid DNS names. (Closed)

Created:
5 years, 3 months ago by agl
Modified:
5 years, 3 months ago
CC:
chromium-reviews, cbentzel+watch_chromium.org
Visibility:
Public.

Description

net: allow invalid TransportSecurityState to process invalid DNS names. Other parts of the network stack are processing and fetching results from invalid DNS names, but TransportSecurityState was rejecting them and therefore HSTS policies didn't apply. This change removes the sanity checking so that TransportSecurityState is more promiscuous in what it'll try and process. BUG=312689 Committed: https://src.chromium.org/viewvc/chrome?view=rev&revision=232463

Patch Set 1 #

Patch Set 2 : Fix browser tests. #

Unified diffs Side-by-side diffs Delta from patch set Stats (+16 lines, -43 lines) Patch
M chrome/test/data/webui/net_internals/hsts_view.js View 1 1 chunk +3 lines, -2 lines 0 comments Download
M net/base/dns_util.h View 1 chunk +0 lines, -4 lines 0 comments Download
M net/base/dns_util.cc View 1 chunk +0 lines, -14 lines 0 comments Download
M net/base/dns_util_unittest.cc View 1 chunk +0 lines, -13 lines 0 comments Download
M net/http/transport_security_state.cc View 1 chunk +0 lines, -10 lines 0 comments Download
M net/http/transport_security_state_unittest.cc View 1 chunk +13 lines, -0 lines 0 comments Download

Messages

Total messages: 17 (0 generated)
agl
5 years, 3 months ago (2013-10-31 14:54:03 UTC) #1
Ryan Sleevi
lgtm
5 years, 3 months ago (2013-10-31 17:34:25 UTC) #2
palmer
LGTM to me too. But maybe we should make the sanity check happen throughout the ...
5 years, 3 months ago (2013-10-31 17:46:32 UTC) #3
agl
On Thu, Oct 31, 2013 at 1:46 PM, <palmer@chromium.org> wrote: > LGTM to me too. ...
5 years, 3 months ago (2013-10-31 19:11:47 UTC) #4
Ryan Sleevi
I'm fine with breaking bad names. M33, anyone? :) On Thu, Oct 31, 2013 at ...
5 years, 3 months ago (2013-10-31 19:15:42 UTC) #5
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/agl@chromium.org/54623005/1
5 years, 3 months ago (2013-10-31 20:02:13 UTC) #6
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/agl@chromium.org/54623005/1
5 years, 3 months ago (2013-10-31 23:51:39 UTC) #7
commit-bot: I haz the power
Retried try job too often on linux_rel for step(s) browser_tests http://build.chromium.org/p/tryserver.chromium/buildstatus?builder=linux_rel&number=183525
5 years, 3 months ago (2013-11-01 03:01:06 UTC) #8
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/agl@chromium.org/54623005/570001
5 years, 3 months ago (2013-11-01 16:22:34 UTC) #9
commit-bot: I haz the power
Retried try job too often on linux_chromeos for step(s) unit_tests http://build.chromium.org/p/tryserver.chromium/buildstatus?builder=linux_chromeos&number=170664
5 years, 3 months ago (2013-11-01 17:48:24 UTC) #10
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/agl@chromium.org/54623005/570001
5 years, 3 months ago (2013-11-01 18:01:01 UTC) #11
cbentzel
Sure. Let's just get some UMA to see the frequency. On Thu, Oct 31, 2013 ...
5 years, 3 months ago (2013-11-01 18:38:59 UTC) #12
cbentzel
On 2013/11/01 18:38:59, cbentzel wrote: > Sure. Let's just get some UMA to see the ...
5 years, 3 months ago (2013-11-01 19:41:28 UTC) #13
cbentzel
On 2013/11/01 18:38:59, cbentzel wrote: > Sure. Let's just get some UMA to see the ...
5 years, 3 months ago (2013-11-01 19:41:30 UTC) #14
commit-bot: I haz the power
Retried try job too often on linux_chromeos for step(s) unit_tests http://build.chromium.org/p/tryserver.chromium/buildstatus?builder=linux_chromeos&number=170761
5 years, 3 months ago (2013-11-01 19:45:37 UTC) #15
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/agl@chromium.org/54623005/570001
5 years, 3 months ago (2013-11-01 20:01:53 UTC) #16
commit-bot: I haz the power
5 years, 3 months ago (2013-11-01 20:40:00 UTC) #17
Message was sent while issue was closed.
Change committed as 232463

Powered by Google App Engine
This is Rietveld 408576698